Last Comment Bug 1162300 - TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
: TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js ...
Status: RESOLVED FIXED
: intermittent-failure
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: Lightning 4.0.0.1
: All All
-- normal (vote)
: 4.2
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 1159737 1163306
  Show dependency treegraph
 
Reported: 2015-05-06 16:18 PDT by Kent James (:rkent)
Modified: 2015-05-09 07:18 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
HACK: temporary disable libical tests because binary XPCOM components are no longer supported (847 bytes, patch)
2015-05-07 13:09 PDT, Stefan Sitter
philipp: review+
Details | Diff | Splinter Review
HACK: enable ical.js by default in nightly builds because binary XPCOM components are no longer supported (1.10 KB, patch)
2015-05-07 13:09 PDT, Stefan Sitter
philipp: review+
Details | Diff | Splinter Review

Description User image Kent James (:rkent) 2015-05-06 16:18:02 PDT
Calendar is experiencing multiple test failures due presumably to the removal of support for binary components in XPCOM in bug 1159737.
Comment 1 User image Treeherder Robot 2015-05-06 16:20:03 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=17962
repository: comm-central
start_time: 2015-05-05T14:46:01
who: kent[at]caspia[dot]com
machine: tst-linux32-spot-471
buildname: Ubuntu VM 12.04 comm-central opt test xpcshell
revision: 35b3b990996d

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | test_overdue_old_format - [test_overdue_old_format : 116] 0 == 4
Return code: 1
Comment 2 User image Treeherder Robot 2015-05-06 16:30:08 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=17961
repository: comm-central
start_time: 2015-05-05T14:46:05
who: kent[at]caspia[dot]com
machine: tst-linux32-spot-724
buildname: Ubuntu VM 12.04 comm-central opt test mozmill
revision: 35b3b990996d

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_mail_account_setup
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_bad_password_uses_old_settings
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_remember_password
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/account/test-retest-config.js | test-retest-config.js::test_re_test_config
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_text_attachment
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_binary_attachment
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_image_attachment
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_detached_attachment
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_detached_attachment_with_missing_file
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_deleted_attachment
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_multiple_attachments
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_multiple_attachments_one_vcard
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_multiple_attachments_one_detached
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_multiple_attachments_one_detached_with_missing_file
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_multiple_attachments_one_deleted
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment-size.js | test-attachment-size.js::test_attached_message_with_attachment
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment.js | test-attachment.js::test_select_all_attachments_key
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment.js | test-attachment.js::test_delete_attachment_key
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment.js | test-attachment.js::test_attachments_compose_menu
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/attachment/test-attachment.js | test-attachment.js::test_delete_from_toolbar
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_inserts_linebreak_on_empty_compose
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_inserts_linebreak_on_empty_compose_with_signature
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_removing_filelinks_removes_root_node
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_written_message
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_empty_reply_above
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_nonempty_reply_above
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_empty_reply_below
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_nonempty_reply_below
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_empty_forward
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_adding_filelinks_to_forward
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_converting_filelink_updates_urls
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_converting_filelink_to_normal_removes_url
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_filelinks_work_after_manual_removal
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/cloudfile/test-cloudfile-attachment-urls.js | test-cloudfile-attachment-urls.js::test_insertion_restores_caret_point
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/composition/test-forwarded-eml-actions.js | test-forwarded-eml-actions.js::test_reply_to_attached_eml
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/composition/test-forwarded-eml-actions.js | test-forwarded-eml-actions.js::test_forward_attached_eml
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/composition/test-forward-headers.js | test-forward-headers.js::test_forward_as_attachments
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-policy/test-exposed-in-content-tabs.js | test-exposed-in-content-tabs.js::test_exposedInContentTabs
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-policy/test-plugins-policy.js | test-plugins-policy.js::test_checkPluginsInNonMessageContent
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-policy/test-js-content-policy.js | test-js-content-policy.js::test_jsContentPolicy
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-tabs/test-install-xpi.js | test-install-xpi.js::test_install_corrupt_xpi
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-tabs/test-install-xpi.js | test-install-xpi.js::test_install_xpi_offer
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-tabs/test-install-xpi.js | test-install-xpi.js::test_xpinstall_disabled
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-tabs/test-install-xpi.js | test-install-xpi.js::test_xpinstall_actually_install
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/downloads/test-about-downloads.js | test-about-downloads.js::test_save_attachment_files_in_list
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/downloads/test-about-downloads.js | test-about-downloads.js::test_remove_file
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/downloads/test-about-downloads.js | test-about-downloads.js::test_remove_multiple_files
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/downloads/test-about-downloads.js | test-about-downloads.js::test_clear_all_files
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/downloads/test-about-downloads.js | test-about-downloads.js::teardownModule
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-message-commands-on-msgstore.js | test-message-commands-on-msgstore.js::setupModule
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-message-commands-on-msgstore.js | test-message-commands-on-msgstore.js::teardownModule
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-virtual-folder-commands.js | test-virtual-folder-commands.js::test_single_folder_select_thread
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-virtual-folder-commands.js | test-virtual-folder-commands.js::test_cross_folder_select_thread
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-opening-messages.js | test-opening-messages.js::test_open_single_message_in_tab
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-opening-messages.js | test-opening-messages.js::test_open_multiple_messages_in_tabs
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-opening-messages.js | test-opening-messages.js::test_open_message_in_new_window
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-opening-messages.js | test-opening-messages.js::test_open_message_in_existing_window
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-displaying-messages-in-folder-tabs.js | test-displaying-messages-in-folder-tabs.js::test_display_message_with_no_3pane_windows_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tabs-simple.js | test-tabs-simple.js::test_switch_to_tab_folder_a
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tabs-simple.js | test-tabs-simple.js::test_open_message_a_in_tab
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tabs-simple.js | test-tabs-simple.js::test_switch_to_tab_folder_b
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tabs-simple.js | test-tabs-simple.js::test_tabs_are_still_happy
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tabs-simple.js | test-tabs-simple.js::test_close_message_b
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tabs-simple.js | test-tabs-simple.js::test_close_folder_b
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_right_click_with_many_things_selected
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_right_click_on_existing_multi_selection
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_right_click_deletion_nothing_selected
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_right_click_deletion_many_other_things_selected
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_with_nothing_selected_background
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_with_nothing_selected_foreground
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_with_one_thing_selected_background
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_with_one_thing_selected_foreground
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_with_many_things_selected_background
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_with_many_things_selected_foreground
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_on_existing_single_selection_background
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_on_existing_single_selection_foreground
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_on_existing_multi_selection_background
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_on_existing_multi_selection_foreground
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-right-click-middle-click-messages.js | test-right-click-middle-click-messages.js::test_middle_click_on_collapsed_thread_root_background
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-deletion-with-multiple-displays.js | test-deletion-with-multiple-displays.js::test_delete_multiple_messages_with_first_selected_message_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-deletion-with-multiple-displays.js | test-deletion-with-multiple-displays.js::test_delete_multiple_messages_with_nth_selected_message_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-deletion-with-multiple-displays.js | test-deletion-with-multiple-displays.js::test_delete_multiple_messages_with_last_selected_message_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-deletion-with-multiple-displays.js | test-deletion-with-multiple-displays.js::test_delete_multiple_messages_including_the_last_one_with_first_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-deletion-with-multiple-displays.js | test-deletion-with-multiple-displays.js::test_delete_multiple_messages_including_the_last_one_with_nth_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-deletion-with-multiple-displays.js | test-deletion-with-multiple-displays.js::test_delete_multiple_messages_including_the_last_one_with_last_open
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-tooltip-multimessage.js | test-tooltip-multimessage.js::test_tooltips
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-selection.js | test-selection.js::test_selection_extension
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-selection.js | test-selection.js::test_no_selection_persists_through_threading_changes
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-selection.js | test-selection.js::test_selection_persists_through_folder_tab_changes
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-pane-focus.js | test-pane-focus.js::test_n_messages_selected
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-display/test-pane-focus.js | test-pane-focus.js::test_between_tab_and_single_message
Comment 3 User image Stefan Sitter 2015-05-07 13:09:08 PDT
Created attachment 8602943 [details] [diff] [review]
HACK: temporary disable libical tests because binary XPCOM components are no longer supported
Comment 4 User image Stefan Sitter 2015-05-07 13:09:50 PDT
Created attachment 8602947 [details] [diff] [review]
HACK: enable ical.js by default in nightly builds because binary XPCOM components are no longer supported
Comment 5 User image Philipp Kewisch [:Fallen] 2015-05-07 16:31:27 PDT
Comment on attachment 8602943 [details] [diff] [review]
HACK: temporary disable libical tests because binary XPCOM components are no longer supported

Review of attachment 8602943 [details] [diff] [review]:
-----------------------------------------------------------------

Fine with me, this way the failures won't mask other things.
Comment 6 User image Philipp Kewisch [:Fallen] 2015-05-09 07:15:35 PDT
Pushed to comm-central changeset 9cde7b2ecbbd
Comment 7 User image Philipp Kewisch [:Fallen] 2015-05-09 07:15:40 PDT
Pushed to comm-central changeset 91c14cfc78bc
Comment 8 User image Philipp Kewisch [:Fallen] 2015-05-09 07:18:22 PDT
Will handle re-enabling in bug 1163306 once its possible.

Note You need to log in before you can comment on or make changes to this bug.